# settings.cpp File Reference

Template File. More...

`#include <fstream>`
`#include <iostream>`
`#include <algorithm>`
`#include "settings.h"`
`#include <synfig/general.h>`
`#include "general.h"`

## Functions

static bool | compare_pref_first (synfig::String first, synfig::String second)
| Compare two key names, putting pref.* keys first.

## Detailed Description

Template File.

$Id$

## Function Documentation

static bool compare_pref_first | ( | synfig::String | first,
|  | synfig::String | second |
| ) |  |  | `[static]`

Compare two key names, putting pref.* keys first.

Referenced by synfigapp::Settings::get_key_list().